%define name    waheela       
%define version 0.3         
%define release %mkrel 6
 
Name:           %name
Version:        %version
Release:        %release
Source0:        http://download.opensuse.org/repositories/home://xadras/xUbuntu_9.04/waheela_%version.tar.xz
Summary:        Amarok Fullscreen Player                                        
License:        GPLv2+                                                                   
Group:          Graphical desktop/KDE4                                                                 
URL:            http://www.kde-apps.org/content/show.php/Waheela+(Amarok+Fullscreen+Player)?content=108863                                       
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot                      
BuildRequires:  kdelibs-devel
Requires:	kde-runtime
Requires:	amarok >= 2.1.1
Obsoletes:	%name < %version
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
 
%description
Waheela is a program that offers you a party mode for Amarok2.
It's a similar to kirocker, but it's a kde4 program. Waheela
supports themes and gives you the possibility to look the player
with a password.

%description -l de
Waheela ist ein Programm, welches Ihnen einen Party-Modus für Amarok2.

%description -l fr
Waheela est un programme qui vous offre une fête pendant Amarok2.

%description -l es
Waheela es un programa que le ofrece un modo de partido para Amarok2.

%description -l pl
Waheela to program, który oferuje tryb party dla Amarok 2.

%description -l sr
Уахеела је програм који вам нуди партија режим за Амарок2.

%description -l nl
Waheela is een programma dat biedt u een partij modus voor Amarok2.

 
%prep
%setup -q -n %name
 
%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"

%cmake_kde4
%make
 
%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%clean
rm -rf %{buildroot}
 
%post
%update_icon_cache hicolor
 
%postun
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%{_bindir}/waheela                          
%{_datadir}/applications/kde4/waheela.desktop
%{_datadir}/icons/hicolor/*/apps/waheela.png
%{_datadir}/config/waheela/themes/*.config


%changelog
* Sat Jul 21 2012 Neal <nealbrks0 at gmail dot com> 0.3-6pclos2012
- process

* Sat Jul 21 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.3-6_archie_2012
- rebuild

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.3-4pclos2010
- rebuild for 4.5.1

* Tue Aug 17 2010 pcserver <pcserver at hush.com> 0.3-3pclos2010
- update package

* Tue Mar 09 2010 Texstar <texstar at gmail.com> 0.3-2pclos2010
- rebuild

* Sat Feb 13 2010 Texstar <texstar at gmail.com> 0.3-1pclos2010
- update

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.2.2-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 0.2.2-2pclos2010
- rebuild for 2010

* Wed Aug 26 2009 Texstar <texstar at gmail.com> 0.2.2-1pclos2009
- create
